Subject: Re: [patch net-next v2 04/10] net: sched: introduce block mechanism to handle netif_keep_dst calls

From: Jakub Kicinski <[email-masked]>
Date: Mon, 13 Nov 2017 00:03:34 -0800

On Mon, 13 Nov 2017 08:58:44 +0100, Jiri Pirko wrote:
> Mon, Nov 13, 2017 at 08:47:26AM CET, [email-masked] wrote:
> >On Sun, 12 Nov 2017 16:55:58 +0100, Jiri Pirko wrote:  
> >> From: Jiri Pirko <[email-masked]>
> >> 
> >> Couple of classifiers call netif_keep_dst directly on q->dev. That is
> >> not possible to do directly for shared blocke where multiple qdiscs are
> >> owning the block. So introduce a infrastructure to keep track of the
> >> block owners in list and use this list to implement block variant of
> >> netif_keep_dst.
> >> 
> >> Signed-off-by: Jiri Pirko <[email-masked]>  
> >
> >Could you use the list you add here to check the ethtool tc offload
> >flag? :)  
> 
> It is a list of qdisc sub parts. Not a list of netdevs

Hm.  OK, I won't pretend I understand the TC code in detail, I thought
that would give you all netdevs, but possibly duplicated.